/* ===============
       BODY
=================*/
* {
  box-sizing: border-box;
}

body {
  text-align: center;
  background-color: #283149;
}

.centered {
  margin-left: auto;
  margin-right: auto;
}

html, body {
  height: 100%;
  margin: 0;
} 

/* ===============
      HEADING
=================*/
h1 {
  font-size: 5rem;
  color: #DBEDF3;
  font-family: "Arvo", cursive;
  text-shadow: 3px 0  #404B69;
  text-decoration: underline yellow;
}

.highlightedA {
  color: #DA0463;
}
.highlightedB {
  color: blue;
}
.highlightedC {
  color: yellow;
}

/* BUTTONS FOR LOWERCASE AND UPPERCASE */
.toggleButton {
  background-color: #2c2f36;
  color: white;
  font-weight: bold;
  height: 2rem;
  width: 7rem;
  border-radius: 5px;
  border-color: #DBEDF3;
}

/* ===============
 ALPHABET GALLERY
=================*/
.set {
  margin: 0 5% 5% 5%;
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
}

.letter-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: 10px;
}

/* ===============
 ALPHABET BUTTONS
=================*/
.A {
  color: #DA0463;
}
.B {
  color: blue;
}
.C {
  color: yellow ;
}
.D {
  color: green;
}
.E {
  color: orange;
}
.F {
  color: purple;
}
.G {
  color: lightgreen;
}
.H {
  color: orangered;
}
.I {
  color: darkblue;
}
.J {
  color: palevioletred;
}
.K {
  color: darkorange;
}
.L {
  color: turquoise;
}
  .M {
    color: red;
  }
  .N {
    color: darkorchid;
  }
  .O {
    color: greenyellow;
  }
  .P {
    color: brown;
  }
  .Q {
    color: olive;
  }
  .R {
    color: rosybrown;
  }
  .S {
    color: salmon;
  }
  .T {
    color: teal;
  }
  .U {
    color: wheat;
  }
  .V {
    color: maroon;
  }         
  .W {
    color: palegoldenrod;
  }
  .X {
    color: plum;
  }
  .Y {
    color: midnightblue;
  }
  .Z {
    color: forestgreen;
  }                                                                                                   
 
.pressed {
  box-shadow: 0 3px 4px 0 #DBEDF3;
  opacity: 0.5;
}

#alphabet {
  outline: none;
  border: 10px solid #404B69;
  font-size: 5rem;
  font-family: 'Arvo', cursive;
  font-weight: 900;
  text-shadow: 3px 0 #DBEDF3;
  border-radius: 15px;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  width: 150px;
  height: 150px;
  background-color: white;
  cursor: pointer;
  margin: 0 auto;
  padding: 0;
  line-height: 1;
}

/* ===============
 PHONICS BUTTONS
=================*/
.text-container {
  display: flex;
  align-items: center;
  margin-left: 10px;
  margin-right: 10px;
  margin: 0% 0% 8% 0%;
  color: white;
  background-color: none;
}

.text-container p{
  color: white;
  margin: 0;
  padding: 0;
}

.phoneme {
  border: 10px solid #404B69;
  font-family: 'Arvo', cursive;
  color: #404B69;
  text-shadow: 3px 0 #DBEDF3;
  border-radius: 15px;
  display: inline-block;
  width: 35%;
  height: 100%;
  text-align: center;
  justify-content: center;
  background-color: white;
  cursor: pointer;
  pointer-events: all;
}

.modalBtn {
  border: 10px solid #404B69;
  font-family: 'Arvo', cursive;
  color: #404B69;
  text-shadow: 3px 0 #DBEDF3;
  border-radius: 15px;
  display: inline-block;
  width: 35%;
  height: 100%;
  text-align: center;
  justify-content: center;
  background-color: white;
  cursor: pointer;
  pointer-events: all;
}

/* ===============
      MODAL
=================*/
/* Basic modal styles */
.modal {
  display: none;
  position: fixed; 
  z-index: 1; 
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0,0,0,0.7); 
  padding-top: 60px;
  overflow: hidden;
}

.modal-content {
  background-color: #fefefe;
  margin: 5% auto;
  padding: 20px;
  border: 1px solid #888;
  width: 80%; 
  max-width: 800px;
  position: relative;
  overflow: hidden;
}

.close {
  color: #aaa;
  float: right;
  font-size: 28px;
  font-weight: bold;
}

.close:hover,
.close:focus {
  color: black;
  text-decoration: none;
  cursor: pointer;
}

#videoFrame {
  width: 100%; /* Fill the available space */
  height: auto;
  max-height: 80vh; /* Limit the video height */
  object-fit: contain; /* Ensure the video scales correctly without cropping */
  display: block;
  margin: 0 auto; /* Center video */
}

#videoPlayer {
  width: 100%; /* Make the video take up 100% of the container's width */
  height: auto; /* Adjust height based on the aspect ratio */
}

.video-credit {
  font-size: .8rem;
  color: #888;
  text-align: center;
  margin-top: 10px;
}

.video-credit a {
  color: #00f;
  text-decoration: underline;
}

/* ===============
      FOOTER
=================*/
footer {
  color: #DBEDF3;
  font-family: sans-serif;
}